<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class Administradores extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('administradores', function (Blueprint $table) {
            $table->increments('adm_pk_id');
            $table->string('adm_cuenta', 50);
            $table->string('adm_contrasena', 1000);
            $table->string('adm_nombre', 80);
            $table->string('adm_correo_elec', 80);
            $table->string('adm_llave', 1000);

            $table->timestamps();

            $table->index('adm_cuenta');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('administradores');
    }
}
